PDA

Visualizza versione completa : [XP] Problemi con Microsoft Net Framework


Skipper
28-01-2006, 00.56.06
Ne ho tre versioni installate ,e con gli hofix la v,2,0 no.Servono tutte?(D)

real7
28-01-2006, 17.37.05
può bastare la versione 1.1, solo se richiesto puoi installare la versione 2.0 con gli hofix [bug nella versione 2.0]

Skipper
28-01-2006, 21.43.03
Quindi disinstallo la v.2.0 e lascio la v.1.1 con relativo hotfix KB 886903 e relativo Italian Language Pack ?

real7
28-01-2006, 21.52.32
il Language Pack non ti serve. è già in italiano e l'hotfix serve solo per la versione 2.0
disinstalla tutto,scarica da qui , poi lo installi
http://www.microsoft.com/downloads/details.aspx?FamilyID=262d25e3-f589-4842-8157-034d1e7cf3a3&displaylang=it

Skipper
29-01-2006, 10.33.49
Che bellezza! Ho tolto tutto ma l'installazione da te consigliata non va a buon fine.Mi segnala un errore e dice di rivolgersi all'aSSISTENZA!!!!

real7
29-01-2006, 10.43.03
strano, che errore ti da
hai letto i requisiti di sistema

Sistemi operativi supportati: Windows 2000; Windows 98; Windows ME; Windows NT; Windows Server 2003; Windows XP
Nota: per Microsoft Windows NT 4.0 è necessario il Service Pack 6.0a

Importante: assicurarsi di disporre dell'ultimo service pack e degli ultimi aggiornamenti critici per la versione di Windows utilizzata. Per trovare gli ultimi aggiornamenti della protezione, visitare il sito Windows Update. Per tutte le installazioni di .NET Framework è anche necessario utilizzare Microsoft Internet Explorer 5.01 o versione successiva. (Installazione di Internet Explorer 6.0 Service Pack 1.)

hai xp originale?

Skipper
29-01-2006, 11.10.50
Ultima domanda: NO- Ho XP Pro.SP2- IE 6.0 Sp.2-Tutti gli agg.ti critici ci sono. Ma cio' premesso,io non sono uno sviluppatore ..quindi sto NetFramework mi serve davvero?

real7
29-01-2006, 11.30.30
essere uno sviluppatore o no non centra niente,il NetFramework viene usato da alcuni programmi[te ne accorgi se ne viene fatta la richiesta]

Skipper
29-01-2006, 11.46.12
Il problema e' : se me ne viene fatta richiesta non posso installarlo...Che fare?

real7
29-01-2006, 11.56.46
come già detto, trovo strano che non riesci ad installare NetFramework, che errore ti da!!!

Skipper
29-01-2006, 12.00.40
Eccolo: Errore interno 2908 (7D4B5591-4C80-42BB-BOE5-F2COCEE02C1A)

real7
29-01-2006, 12.14.45
non ti posso aiutare,sono scarso in inglese,
prova a leggere qui
http://blogs.msdn.com/junfeng/archive/2004/01/31/65457.aspx

Skipper
29-01-2006, 12.39.58
Io con l'inglese faccio a cazzotti! Chiedo a Billow,magari vado a trovarlo,sta ad un passo da casa mia!

mister pink
30-01-2006, 15.32.48
Ho letto l'articolo linkato da magicwizard: anch'io non sono una scheggia con l'inglese ma credo di aver capito il senso di ciò che c'è scritto.

In pratica, sembra che alcune procedure di installazione del .netfw falliscano a causa di qualche precedente installazione non perfettamente riuscita.

Da quanto ho capito, il problema è causato dalla presenza di una libreria (mscoree.dll) in windows\system32: l'installer del .netfw, rilevando la presenza di questo file, "crede" che il .netfw sia già installato e fa abortire l'installazione in corso.

In buona sostanza, il "trick" proposto nell'articolo suggerisce di trovare questa mscoree.dll e di rinominarla prima di procedere all'installazione del .netfw.

Da quel che si può leggere nell'articolo, sembra che lo strataggemma funzioni...

Di più non ti so dire...

Skipper
30-01-2006, 16.14.18
Rinominata .old mi ha permessso di scaricare la vers.1.1.Ora ho cancellato la old perche' c'e' la nuova mscoree.dll.Fin qua ci sono arrivato.

Dark!
01-05-2006, 22.57.03
Grazie ragazzi, avevo lo stesso problema descritto nel 3d, ho applicato la soluzione da voi proposta e ho risolto tutto. Forum eccezionale come sempre, complimenti (Y)


d!

Papillon56
04-05-2006, 17.31.43
Un 3D davvero molto utile ...mi ha aiutato a risolvere il problema ....